QCA::TLSSessionContext Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::TLSSessionContext:
[legend]

## Public Member Functions

| TLSSessionContext (Provider *p)
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

TLS "session" provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want TLSSession instead.

## Constructor & Destructor Documentation

## TLSSessionContext()

QCA::TLSSessionContext::TLSSessionContext | ( | Provider * | p | ) |

inline

Standard constructor.

Parameters

  p | the Provider associated with this context

References QCA::BasicContext::BasicContext().

The documentation for this class was generated from the following file:

- qcaprovider.h